jQuery(document).ready(function($) {

/*------------------------------------------------
            DECLARATIONS
------------------------------------------------*/

    var loader = $('#loader');
    var loader_container = $('#preloader');
    var scroll = $(window).scrollTop();  
    var scrollup = $('.backtotop');
    var topheader_dropdown = $('.topheader-dropdown');
    var top_menu_wrapper = $('.top-menu-wrapper');
    var menu_toggle = $('.menu-toggle');
    var dropdown_toggle = $('.main-navigation button.dropdown-toggle');
    var nav_menu = $('.main-navigation ul.nav-menu');
    var gallery_post_slider = $('.gallery-post-slider');
    var related_gallery_slider = $('.related-gallery-slider');
    var widget_post_slider = $('.widget_post_slider');

/*------------------------------------------------
            PRELOADER
------------------------------------------------*/

    loader_container.delay(1000).fadeOut();
    loader.delay(1000).fadeOut("slow");

/*------------------------------------------------
                BACK TO TOP
------------------------------------------------*/

    $(window).scroll(function() {
        if ($(this).scrollTop() > 1) {
            scrollup.css({bottom:"25px"});
        } 
        else {
            scrollup.css({bottom:"-100px"});
        }
    });

    scrollup.click(function() {
        $('html, body').animate({scrollTop: '0px'}, 800);
        return false;
    });

/*------------------------------------------------
                MENU, STICKY MENU AND SEARCH
------------------------------------------------*/

     $('.topheader-dropdown').click(function() {
        $(this).toggleClass('active');
        $('.top-menu-wrapper').slideToggle();
    });

    menu_toggle.click(function(){
        nav_menu.slideToggle();
        $(this).toggleClass('active');
       $('.main-navigation').toggleClass('menu-open');
    });

    dropdown_toggle.click(function() {
        $(this).toggleClass('active');
       $(this).parent().find('.sub-menu').first().slideToggle();
    });

    $(window).scroll(function() {
        if ($(this).scrollTop() > 290) {
            $('.sticky-header .site-header').fadeIn();
            if ($('body').hasClass('sticky-header')) {
                $('.sticky-header').addClass('nav-shrink');
                $('.sticky-header .site-header').fadeIn();
            }
        } 
        else {
            $('.sticky-header').removeClass('nav-shrink');
        }
    });

    $('.main-navigation ul li a.search').click(function(event) {
        event.preventDefault();
        $(this).toggleClass('search-open');
        $('.main-navigation #search').toggle();
        $('.main-navigation .search-field').focus();
        $('body').addClass('search-open');
    });

    $(document).keyup(function(e) {
        if (e.keyCode === 27) {
            $('.main-navigation .search').removeClass('search-open');
            $('.main-navigation #search').hide();
            $('body').removeClass('search-open');
        }
    });

    $(document).click(function (e) {
      var container = $(".main-navigation .wrapper");
       if (!container.is(e.target) && container.has(e.target).length === 0) {
            $('.main-navigation .search').removeClass('search-open');
            $('.main-navigation #search').hide();
            $('body').removeClass('search-open');
        }
    });

    if ($(window).width() < 1024) {
        $( ".nav-menu ul.sub-menu li:last-child" ).focusout(function() {
            dropdown_toggle.removeClass('active');
            $('.main-navigation .sub-menu').slideUp();
        });
    }   


 /*--------------------------------------------------------------
     Keyboard Navigation
    ----------------------------------------------------------------*/

    if( $(window).width() < 1260 ) {
            $('#top-menu .social-menu').find("li").last().bind( 'keydown', function(e) {
                if( e.which === 9 ) {
                    e.preventDefault();
                    $('#top-menu').find('button.topheader-dropdown').focus();
                }
            });
        }
        else {
            $( '#top-menu .social-menu li:last-child' ).unbind('keydown');
        }

        $(window).resize(function() {
            if( $(window).width() < 1260 ) {
                $('#top-menu .social-menu').find("li").last().bind( 'keydown', function(e) {
                    if( e.which === 9 ) {
                        e.preventDefault();
                        $('#top-menu').find('.button.topheader-dropdown').focus();
                    }
                });
            }
            else {
                $( '#top-menu .social-menu li:last-child' ).unbind('keydown');
            }
        });
        
    if( $(window).width() < 1024 ) {
        $('#primary-menu').find("li").last().bind( 'keydown', function(e) {
            if( e.which === 9 ) {
                e.preventDefault();
                $('nav#site-navigation').find('.menu-toggle').focus();
            }
        });
    }
    else {
        $( '#primary-menu li:last-child' ).unbind('keydown');
    }

    $(window).resize(function() {
        if( $(window).width() < 1024 ) {
            $('#primary-menu').find("li").last().bind( 'keydown', function(e) {
                if( e.which === 9 ) {
                    e.preventDefault();
                    $('nav#site-navigation').find('.menu-toggle').focus();
                }
            });
        }
        else {
            $( '#primary-menu li:last-child' ).unbind('keydown');
        }
    });

    menu_toggle.on('keydown', function (e) {
        var tabKey    = e.keyCode === 9;
        var shiftKey  = e.shiftKey;

        if( menu_toggle.hasClass('active') ) {
            if ( shiftKey && tabKey ) {
                e.preventDefault();
                nav_menu.slideUp();
                $('.main-navigation').removeClass('menu-open');
                $('.menu-overlay').removeClass('active');
                menu_toggle.removeClass('active');
            };
        }
    });


    topheader_dropdown.on('keydown', function (e) {
        var tabKey    = e.keyCode === 9;
        var shiftKey  = e.shiftKey;

        if( topheader_dropdown.hasClass('active') ) {
            if ( shiftKey && tabKey ) {
                e.preventDefault();
                top_menu_wrapper.slideUp();
                $('.main-navigation').removeClass('menu-open');
                $('.menu-overlay').removeClass('active');
                topheader_dropdown.removeClass('active');
            };
        }
    });




/*------------------------------------------------
                SLICK SLIDERS
------------------------------------------------*/

gallery_post_slider.slick();
widget_post_slider.slick();

var status = $('.pagingInfo');

    related_gallery_slider.on('init reInit afterChange', function (event, slick, currentSlide, nextSlide) {
        var i = (currentSlide ? currentSlide : 0) + 1;
        status.text(i + '/' + slick.slideCount);
    });

    related_gallery_slider.slick({
        responsive: [
            {
                breakpoint: 550,
                settings: {
                    slidesToShow: 1
                }
            }
        ]
    });


/*------------------------------------------------
                END JQUERY
------------------------------------------------*/

});